Get Workspace
This endpoint get all the data of video workspace that has previously been created.
Path Parameters
- Type: stringworkspace
_id requiredGumlet workspace ID. You can get it on Gumlet dashboard or retrieve it using list workspace API.
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for get/video/workspaces/{workspace_id}
import Gumlet from '@gumlet/nodejs-sdk';
const client = new Gumlet({
apiKey: process.env['API_KEY'], // defaults to the API_KEY env var
});
const videoWorkspace = await client.videoWorkspaces.retrieve('workspaceId');
console.log(videoWorkspace);
{
"id": "string",
"name": "string",
"type": "string",
"created_at": "string",
"updated_at": "string",
"default_profile_id": "string",
"default_profile_updated_at": "string",
"insights_enabled": true,
"video_protection": {
"signed_url_secret": "string",
"blacklisted_countries": [
"string"
],
"whitelisted_referrers": [
"string"
],
"whitelisted_countries": "string",
"signed_url": true
},
"player_config": {
"autoplay": true,
"disable_seek": true,
"disable_player_controls": true,
"powered_by_gumlet_overlay": true,
"loop": true,
"player_color": "string",
"enable_download_button": true,
"caption_enabled": true,
"logo_width": 1,
"logo_height": 1,
"dynamic_watermark": true,
"watermark_font_size": 1,
"watermark_font_color": "string",
"watermark_bg_color": "string",
"watermark_interval": 1,
"watermark_visiblity_duration": 1,
"show_video_title": true,
"cast": true,
"resume_where_left": true,
"cc_color": "string",
"cc_bg_color": "string",
"cc_font_size": "small"
},
"folders": [
"string"
],
"channel_settings": {
"title": "string",
"active": true,
"privacy_type": "private",
"channel_access_control": "private",
"dynamic_watermark_type": "string",
"disable_invite_email": true,
"password": "string",
"color_scheme": "string",
"description": "string",
"theme_preference": "string",
"cname": [
"string"
],
"hero_url": "string",
"hero_updated_at": "string",
"icon_url": "string",
"icon_updated_at": "string",
"temp_cname": [
"string"
],
"logo_url": "string",
"logo_updated_at": "string",
"visible_playlists": [
{
"_id": "string",
"title": "string"
}
]
},
"distinct_tags": [
"string"
],
"on_streaming_halt": true,
"storage_event_listener": [
{
"event_id": "string",
"profile_id": "string",
"profile_name": "string",
"is_varified": true,
"callback_url": "string",
"status": "string"
}
]
}
